Skip to content
GET
/v1/warehouse/{id}
curl --request GET \
--url https://api.zentail.com/v1/warehouse/1 \
--header 'Authorization: Bearer <token>'

Returns the ID, name, and address of the warehouse requested.

id
required
number

Warehouse ID

Success

Media type*/*
object
warehouse_id

A unique identifier for this warehouse, should be used when updating inventory through the API.

number
warehouseUniqueId

Unique identifier for the warehouse as recognized by the application.

string
name
string
address
object
name
string
company
string
line1
string
line2
string
city
string
state
string
postal_code
string
phone
string
email
string
country_code
string
default: US >= 2 characters <= 2 characters

Bad Request

Media type*/*
object
errorCode
number
Example
400
errorMessages
Array<string>
referenceId
string format: uuid

Permission Denied

Media type*/*
object
errorCode
number
Example
403
errorMessages
Array<string>
referenceId
string format: uuid

Not Found

Media type*/*
object
errorCode
number
Example
404
errorMessages
Array<string>
referenceId
string format: uuid

Zentail Error

Media type*/*
object
errorCode
number
Example
500
errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string

Zentail Error

Media type*/*
object
errorCode
number
Example
503
errorMessages
Array<string>
referenceId
string format: uuid

Sourcesnapshot of https://app.zentail.com/api/swagger, committed at spec/v1/zentail-api.json

Built0c509dd3

API changelog